# Installation

<p class="description">Install MUI System, a collection of CSS utilities for rapidly laying out custom designs.</p>

## Default installation

Run one of the following commands to add MUI System to your project:

### npm

```sh
npm install @mui/system @emotion/react @emotion/styled
```

### yarn

```sh
yarn add @mui/system @emotion/react @emotion/styled
```

## With styled-components

MUI System uses [Emotion](https://emotion.sh/) as its default styling engine.
If you want to use [styled-components](https://styled-components.com/) instead, run one of the following commands:

### npm

```sh
npm install @mui/system @mui/styled-engine-sc styled-components
```

### yarn

```sh
yarn add @mui/system @mui/styled-engine-sc styled-components
```

:::warning
Visit the [Styled engine guide](/material-ui/guides/styled-engine/) for more information about how to configure styled-components.
:::

## Peer dependencies

<!-- #react-peer-version -->

[`react`](https://www.npmjs.com/package/react) >= 17.0.0 is a peer dependency.
